Name:           easystroke
Version:        0.5.5.1
Release:        6%{?dist}
Summary:        Gesture-recognition application for X11
Group:          User Interface/X Hardware Support
License:        ISC
URL:            http://easystroke.sourceforge.net/
Source0:        http://downloads.sourceforge.net/easystroke/%{name}-%{version}.tar.gz

BuildRequires:  gtkmm24-devel
BuildRequires:  dbus-glib-devel
BuildRequires:  boost-devel
BuildRequires:  libXtst-devel
BuildRequires:  gettext
BuildRequires:  desktop-file-utils
BuildRequires:  intltool
BuildRequires:  xorg-x11-server-devel
ExcludeArch:    s390 s390x

%description
Easystroke is a gesture-recognition application for X11. Gestures or strokes 
are movements that you make with you mouse (or your pen, finger etc.) while 
holding down a specific mouse button. Easystroke will execute certain actions 
if it recognizes the stroke; currently easystroke can emulate key presses, 
execute shell commands, hold down modifiers and emulate a scroll wheel. 

%prep
%setup -q

# Resolve debuginfo
sed -i 's|install -Ds|install -D|' Makefile
# Preserve timestamps:
sed -i 's|install |install -p |' Makefile

%build
make  %{?_smp_mflags} CXX="g++ %{optflags}" CC="gcc -std=c99 %{optflags}"

%install
make install PREFIX="%{_prefix}" DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name}

%check
desktop-file-validate %{buildroot}/%{_datadir}/applications/%{name}.desktop

%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%files -f %{name}.lang
%doc changelog LICENSE 
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg

%changelog
* Mon Mar 25 2013 Peter Robinson <pbrobinson@fedoraproject.org> 0.5.5.1-6
- Drop xorg sdk dependency as it's been provided by devel since F-9

* Sun Feb 10 2013 Denis Arnaud <denis.arnaud_fedora@m4x.org> - 0.5.5.1-5
- Rebuild for Boost-1.53.0

* Sat Feb 09 2013 Denis Arnaud <denis.arnaud_fedora@m4x.org> - 0.5.5.1-4
- Rebuild for Boost-1.53.0

* Sun Aug 12 2012 Kevin Fenzi <kevin@scrye.com> - 0.5.5.1-3
- Rebuilt for new boost

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.5.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon May 14 2012 Tom Callaway <spot@fedoraproject.org> - 0.5.5.1-1
- update to 0.5.5.1

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Dec 06 2011 Adam Jackson <ajax@redhat.com> - 0.5.4-3
- Rebuild for new libpng

* Mon Aug  8 2011 Tom Callaway <spot@fedoraproject.org> - 0.5.4-2
- rebuild against new boost
- cleanup spec file

* Thu Apr 21 2011 Tom Callaway <spot@fedoraproject.org> - 0.5.4-1
- update to 0.5.4

* Sun Apr 17 2011 Kalev Lember <kalev@smartlink.ee> - 0.5.3-5
- Rebuilt for boost 1.46.1 soname bump

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Sep 02 2010 Dan Horák <dan[at]danny.cz> - 0.5.3-3
- no graphics on s390(x)

* Wed Aug 04 2010 Rahul Sundaram <sundaram@fedoraproject.org> - 0.5.3-2
- Rebuild for Boost soname bump
- Update spec to match current guidelines

* Wed Mar 17 2010 Tom "spot" Callaway <tcallawa@redhat.com> - 0.5.3-1
- update to 0.5.3
- drop timing patch (upstreamed)
- add patch to fix indirect linking issue

* Fri Jan 22 2010 Rahul Sundaram <sundaram@fedoraproject.org> - 0.5.2-2
- Rebuild for Boost soname bump

* Wed Jan 13 2010 Zarko Pintar <zarko.pintar@gmail.com> - 0.5.2-1
- new version for XServer 1.7 and up

* Wed Sep 09 2009 Zarko Pintar <zarko.pintar@gmail.com> - 0.4.9-1
- new version

* Wed Jun 29 2009 Zarko Pintar <zarko.pintar@gmail.com> - 0.4.6-1
- new version

* Wed Jun 03 2009 Zarko Pintar <zarko.pintar@gmail.com> - 0.4.5-1
- new version
- added gcc4.3.0 patch and resolve optflags 

* Mon Jun 01 2009 Zarko Pintar <zarko.pintar@gmail.com> - 0.4.4-3
- spec cleaning

* Fri May 29 2009 Zarko Pintar <zarko.pintar@gmail.com> - 0.4.4-2
- resolved debuginfo

* Wed May 27 2009 Zarko Pintar <zarko.pintar@gmail.com> - 0.4.4-1
- initial release
